## org.eclipse.jst.jsf.metadataprocessors.features
Interface IValidValues

All Superinterfaces:
  IMetaDataEnabledFeature

All Known Implementing Classes:
  AbstractEnumerationType, ActionType, BooleanType, CharacterType, ColorType, ComponentBindingType, ComponentIDType, ContentType, CurrencyCodeType, DoubleType, EnumerationType, FacesConfigConverterIDFeatures, FacesConfigIdentifierFeatures, FacesConfigValidatorIDFeatures, IntegerType, JavaClassType, LanguageCodeType, LengthType, LinkType, LocaleType, LongType, MethodBindingType, MultiSignatureEnumerationType, NumberType, RelativePathType, ResourceBundleType, StringType, TimeZoneType, ValueType, WebPathType

    public interface IValidValues

extends IMetaDataEnabledFeature

An `IMetaDataEnabledFeature` for validating values using metadata

Provisional API - subject to change

Field Summary
`static java.lang.String` `VALID_VALUES_CODE_PROP_NAME` Trait name for valid-values-code
`static java.lang.String` `VALID_VALUES_MAX_PROP_NAME` Trait name for valid-maximum
`static java.lang.String` `VALID_VALUES_MESSAGE_PROP_NAME` Trait name for valid-values-message
`static java.lang.String` `VALID_VALUES_MIN_PROP_NAME` Trait name for valid-minimum
`static java.lang.String` `VALID_VALUES_PROP_NAME` Trait name for valid-values
`static java.lang.String` `VALID_VALUES_SEVERITY_PROP_NAME` Trait name for valid-values-severity

Method Summary
`java.util.List` `getValidationMessages()`
`boolean` `isValidValue(java.lang.String value)`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Field Detail

### VALID_VALUES_PROP_NAME

    static final java.lang.String VALID_VALUES_PROP_NAME

  Trait name for valid-values

  See Also:
    Constant Field Values

### VALID_VALUES_CODE_PROP_NAME

    static final java.lang.String VALID_VALUES_CODE_PROP_NAME

  Trait name for valid-values-code

  See Also:
    Constant Field Values

### VALID_VALUES_SEVERITY_PROP_NAME

    static final java.lang.String VALID_VALUES_SEVERITY_PROP_NAME

  Trait name for valid-values-severity

  See Also:
    Constant Field Values

### VALID_VALUES_MESSAGE_PROP_NAME

    static final java.lang.String VALID_VALUES_MESSAGE_PROP_NAME

  Trait name for valid-values-message

  See Also:
    Constant Field Values

### VALID_VALUES_MAX_PROP_NAME

    static final java.lang.String VALID_VALUES_MAX_PROP_NAME

  Trait name for valid-maximum

  See Also:
    Constant Field Values

### VALID_VALUES_MIN_PROP_NAME

    static final java.lang.String VALID_VALUES_MIN_PROP_NAME

  Trait name for valid-minimum

  See Also:
    Constant Field Values

Method Detail

### isValidValue

    boolean isValidValue(java.lang.String value)

  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid

### getValidationMessages

    java.util.List getValidationMessages()

  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.